#if !defined(WAVE_FOR_PCENGINE)
#define WAVE_FOR_PCENGINE


extern int skip_wave_sound; // from main.c 

typedef struct
{
short wFormatTag;
short nChannels;
unsigned nSamplesPerSecond;
unsigned nAvgBytesPerSecond;
short nBlockAlign;
short nBitsPerSample;
} _waveinfo;

extern _waveinfo waveinfo;

#define WAV_NUMBUF  2

//#define WAV_LENBUF_MAX 44101*2 //2049

#define WAV_LENBUF_MAX 8821*2

int close_wav();
int open_wav(char *name);
void wav_loop();
void wav_mix_samples(short *s,int samples);


void h_play_track (int track, int repeat);
void h_play_sectors (int begin_sect, int sect_len, char repeat);
void h_stop_track ();

int ReadTocList(char *name);

#endif
